#!/bin/sh

#########################################################################
# cacti script for QNAP NAS
# Code restructured and updated by Bruce Cheng <email at brucecheng.com>, January 2013
# Partly based on work from: http://pnpk.net
#
# REQUIREMENT: You must install "bc" - run "ipkg install bc"
# PURPOSE: Obtain memory utilization
# Usage: <path_cacti>/scripts/qnap-memory.sh <hostname> <snmp_community>
#
#########################################################################

BC_PATH="/opt/bin/bc"

freemem=`/opt/bin/snmpget -v1 -t 3 -c $2 $1 .1.3.6.1.4.1.24681.1.2.3.0 |cut -d\" -f2 | cut -d' ' -f1 |awk '{ printf($1) }'`
totalmem=`/opt/bin/snmpget -v1 -t 3 -c $2 $1 .1.3.6.1.4.1.24681.1.2.2.0 |cut -d\" -f2 | cut -d' ' -f1 |awk '{ printf($1) }'`
usedmem=`echo $totalmem - $freemem | $BC_PATH |awk '{ printf($1) }'`

printf ' freemem:'$freemem
printf ' totalmem:'$totalmem
printf ' usedmem:'$usedmem

exit 0
